<template>
<DxChart
id="chart"
:data-source="dataSource"
>
<DxTitle text="Production of Crude Oil">
<DxSubtitle text="(in Barrels)"/>
</DxTitle>
<DxCommonSeriesSettings
argument-field="state"
value-field="value"
type="bar"
>
<DxAggregation
:enabled="true"
method="sum"
/>
</DxCommonSeriesSettings>
<DxSeriesTemplate name-field="year"/>
</DxChart>
</template>
<script setup lang="ts">
import DxChart, {
DxTitle,
DxSubtitle,
DxCommonSeriesSettings,
DxAggregation,
DxSeriesTemplate,
} from 'devextreme-vue/chart';
import { oilProductionData } from './data.ts';
const dataSource = oilProductionData;
</script>
<style>
#chart {
height: 440px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.40/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.26/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const oilProductionData = [
{ state: 'Alaska', month: 'Jan', year: '2022', value: 15100000 },
{ state: 'Alaska', month: 'Feb', year: '2022', value: 13700000 },
{ state: 'Alaska', month: 'Mar', year: '2022', value: 15200000 },
{ state: 'Alaska', month: 'Apr', year: '2022', value: 14700000 },
{ state: 'Alaska', month: 'May', year: '2022', value: 15100000 },
{ state: 'Alaska', month: 'Jun', year: '2022', value: 14500000 },
{ state: 'Alaska', month: 'Jul', year: '2022', value: 14100000 },
{ state: 'Alaska', month: 'Aug', year: '2022', value: 14300000 },
{ state: 'Alaska', month: 'Sep', year: '2022', value: 13800000 },
{ state: 'Alaska', month: 'Oct', year: '2022', value: 14900000 },
{ state: 'Alaska', month: 'Nov', year: '2022', value: 14900000 },
{ state: 'Alaska', month: 'Dec', year: '2022', value: 15300000 },
{ state: 'Colorado', month: 'Jan', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Feb', year: '2022', value: 12000000 },
{ state: 'Colorado', month: 'Mar', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Apr', year: '2022', value: 12900000 },
{ state: 'Colorado', month: 'May', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Jun', year: '2022', value: 12900000 },
{ state: 'Colorado', month: 'Jul', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Aug', year: '2022', value: 13500000 },
{ state: 'Colorado', month: 'Sep', year: '2022', value: 13100000 },
{ state: 'Colorado', month: 'Oct', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Nov', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Dec', year: '2022', value: 13700000 },
{ state: 'North Dakota', month: 'Jan', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Feb', year: '2022', value: 32300000 },
{ state: 'North Dakota', month: 'Mar', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Apr', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'May', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Jun', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'Jul', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Aug', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Sep', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'Oct', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Nov', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Dec', year: '2022', value: 37000000 },
{ state: 'New Mexico', month: 'Jan', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Feb', year: '2022', value: 47000000 },
{ state: 'New Mexico', month: 'Mar', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Apr', year: '2022', value: 50500000 },
{ state: 'New Mexico', month: 'May', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Jun', year: '2022', value: 50500000 },
{ state: 'New Mexico', month: 'Jul', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Aug', year: '2022', value: 52500000 },
{ state: 'New Mexico', month: 'Sep', year: '2022', value: 51000000 },
{ state: 'New Mexico', month: 'Oct', year: '2022', value: 52500000 },
{ state: 'New Mexico', month: 'Nov', year: '2022', value: 53000000 },
{ state: 'New Mexico', month: 'Dec', year: '2022', value: 54000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Feb', year: '2022', value: 16200000 },
{ state: 'Oklahoma', month: 'Mar', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Apr', year: '2022', value: 17400000 },
{ state: 'Oklahoma', month: 'May', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Jun', year: '2022', value: 17400000 },
{ state: 'Oklahoma', month: 'Jul', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Aug', year: '2022', value: 18200000 },
{ state: 'Oklahoma', month: 'Sep', year: '2022', value: 17600000 },
{ state: 'Oklahoma', month: 'Oct', year: '2022', value: 18200000 },
{ state: 'Oklahoma', month: 'Nov', year: '2022', value: 18400000 },
{ state: 'Oklahoma', month: 'Dec', year: '2022', value: 18800000 },
{ state: 'Texas', month: 'Jan', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Feb', year: '2022', value: 133000000 },
{ state: 'Texas', month: 'Mar', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Apr', year: '2022', value: 142000000 },
{ state: 'Texas', month: 'May', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Jun', year: '2022', value: 142000000 },
{ state: 'Texas', month: 'Jul', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Aug', year: '2022', value: 150000000 },
{ state: 'Texas', month: 'Sep', year: '2022', value: 145000000 },
{ state: 'Texas', month: 'Oct', year: '2022', value: 150000000 },
{ state: 'Texas', month: 'Nov', year: '2022', value: 152000000 },
{ state: 'Texas', month: 'Dec', year: '2022', value: 155000000 },
{ state: 'Alaska', month: 'Jan', year: '2023', value: 15300000 },
{ state: 'Alaska', month: 'Feb', year: '2023', value: 13900000 },
{ state: 'Alaska', month: 'Mar', year: '2023', value: 15500000 },
{ state: 'Alaska', month: 'Apr', year: '2023', value: 15000000 },
{ state: 'Alaska', month: 'May', year: '2023', value: 15300000 },
{ state: 'Alaska', month: 'Jun', year: '2023', value: 14700000 },
{ state: 'Alaska', month: 'Jul', year: '2023', value: 14300000 },
{ state: 'Alaska', month: 'Aug', year: '2023', value: 14500000 },
{ state: 'Alaska', month: 'Sep', year: '2023', value: 14100000 },
{ state: 'Alaska', month: 'Oct', year: '2023', value: 15100000 },
{ state: 'Alaska', month: 'Nov', year: '2023', value: 15200000 },
{ state: 'Alaska', month: 'Dec', year: '2023', value: 15600000 },
{ state: 'Colorado', month: 'Jan', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Feb', year: '2023', value: 12300000 },
{ state: 'Colorado', month: 'Mar', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Apr', year: '2023', value: 13200000 },
{ state: 'Colorado', month: 'May', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Jun', year: '2023', value: 13200000 },
{ state: 'Colorado', month: 'Jul', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Aug', year: '2023', value: 13800000 },
{ state: 'Colorado', month: 'Sep', year: '2023', value: 13400000 },
{ state: 'Colorado', month: 'Oct', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Nov', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Dec', year: '2023', value: 14000000 },
{ state: 'North Dakota', month: 'Jan', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Feb', year: '2023', value: 33400000 },
{ state: 'North Dakota', month: 'Mar', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Apr', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'May', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Jun', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'Jul', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Aug', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Sep', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'Oct', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Nov', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Dec', year: '2023', value: 38100000 },
{ state: 'New Mexico', month: 'Jan', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Feb', year: '2023', value: 51000000 },
{ state: 'New Mexico', month: 'Mar', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Apr', year: '2023', value: 54500000 },
{ state: 'New Mexico', month: 'May', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Jun', year: '2023', value: 54500000 },
{ state: 'New Mexico', month: 'Jul', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Aug', year: '2023', value: 56500000 },
{ state: 'New Mexico', month: 'Sep', year: '2023', value: 55000000 },
{ state: 'New Mexico', month: 'Oct', year: '2023', value: 56500000 },
{ state: 'New Mexico', month: 'Nov', year: '2023', value: 57000000 },
{ state: 'New Mexico', month: 'Dec', year: '2023', value: 58000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Feb', year: '2023', value: 16700000 },
{ state: 'Oklahoma', month: 'Mar', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Apr', year: '2023', value: 17900000 },
{ state: 'Oklahoma', month: 'May', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Jun', year: '2023', value: 17900000 },
{ state: 'Oklahoma', month: 'Jul', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Aug', year: '2023', value: 18700000 },
{ state: 'Oklahoma', month: 'Sep', year: '2023', value: 18100000 },
{ state: 'Oklahoma', month: 'Oct', year: '2023', value: 18700000 },
{ state: 'Oklahoma', month: 'Nov', year: '2023', value: 18900000 },
{ state: 'Oklahoma', month: 'Dec', year: '2023', value: 19300000 },
{ state: 'Texas', month: 'Jan', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Feb', year: '2023', value: 143000000 },
{ state: 'Texas', month: 'Mar', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Apr', year: '2023', value: 153000000 },
{ state: 'Texas', month: 'May', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Jun', year: '2023', value: 153000000 },
{ state: 'Texas', month: 'Jul', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Aug', year: '2023', value: 161000000 },
{ state: 'Texas', month: 'Sep', year: '2023', value: 156000000 },
{ state: 'Texas', month: 'Oct', year: '2023', value: 161000000 },
{ state: 'Texas', month: 'Nov', year: '2023', value: 163000000 },
{ state: 'Texas', month: 'Dec', year: '2023', value: 166000000 },
{ state: 'Alaska', month: 'Jan', year: '2024', value: 15400000 },
{ state: 'Alaska', month: 'Feb', year: '2024', value: 14100000 },
{ state: 'Alaska', month: 'Mar', year: '2024', value: 15700000 },
{ state: 'Alaska', month: 'Apr', year: '2024', value: 15200000 },
{ state: 'Alaska', month: 'May', year: '2024', value: 15500000 },
{ state: 'Alaska', month: 'Jun', year: '2024', value: 14900000 },
{ state: 'Alaska', month: 'Jul', year: '2024', value: 14500000 },
{ state: 'Alaska', month: 'Aug', year: '2024', value: 14800000 },
{ state: 'Alaska', month: 'Sep', year: '2024', value: 14300000 },
{ state: 'Alaska', month: 'Oct', year: '2024', value: 15400000 },
{ state: 'Alaska', month: 'Nov', year: '2024', value: 15500000 },
{ state: 'Alaska', month: 'Dec', year: '2024', value: 15800000 },
{ state: 'Colorado', month: 'Jan', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Feb', year: '2024', value: 12500000 },
{ state: 'Colorado', month: 'Mar', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Apr', year: '2024', value: 13400000 },
{ state: 'Colorado', month: 'May', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Jun', year: '2024', value: 13400000 },
{ state: 'Colorado', month: 'Jul', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Aug', year: '2024', value: 14000000 },
{ state: 'Colorado', month: 'Sep', year: '2024', value: 13600000 },
{ state: 'Colorado', month: 'Oct', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Nov', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Dec', year: '2024', value: 14200000 },
{ state: 'North Dakota', month: 'Jan', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Feb', year: '2024', value: 34400000 },
{ state: 'North Dakota', month: 'Mar', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Apr', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'May', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Jun', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'Jul', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Aug', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Sep', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'Oct', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Nov', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Dec', year: '2024', value: 39200000 },
{ state: 'New Mexico', month: 'Jan', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Feb', year: '2024', value: 54500000 },
{ state: 'New Mexico', month: 'Mar', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Apr', year: '2024', value: 58500000 },
{ state: 'New Mexico', month: 'May', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Jun', year: '2024', value: 58500000 },
{ state: 'New Mexico', month: 'Jul', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Aug', year: '2024', value: 60500000 },
{ state: 'New Mexico', month: 'Sep', year: '2024', value: 59000000 },
{ state: 'New Mexico', month: 'Oct', year: '2024', value: 60500000 },
{ state: 'New Mexico', month: 'Nov', year: '2024', value: 61000000 },
{ state: 'New Mexico', month: 'Dec', year: '2024', value: 62000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Feb', year: '2024', value: 17100000 },
{ state: 'Oklahoma', month: 'Mar', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Apr', year: '2024', value: 18400000 },
{ state: 'Oklahoma', month: 'May', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Jun', year: '2024', value: 18400000 },
{ state: 'Oklahoma', month: 'Jul', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Aug', year: '2024', value: 19200000 },
{ state: 'Oklahoma', month: 'Sep', year: '2024', value: 18600000 },
{ state: 'Oklahoma', month: 'Oct', year: '2024', value: 19200000 },
{ state: 'Oklahoma', month: 'Nov', year: '2024', value: 19400000 },
{ state: 'Oklahoma', month: 'Dec', year: '2024', value: 19800000 },
{ state: 'Texas', month: 'Jan', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Feb', year: '2024', value: 149000000 },
{ state: 'Texas', month: 'Mar', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Apr', year: '2024', value: 160000000 },
{ state: 'Texas', month: 'May', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Jun', year: '2024', value: 160000000 },
{ state: 'Texas', month: 'Jul', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Aug', year: '2024', value: 168000000 },
{ state: 'Texas', month: 'Sep', year: '2024', value: 163000000 },
{ state: 'Texas', month: 'Oct', year: '2024', value: 168000000 },
{ state: 'Texas', month: 'Nov', year: '2024', value: 170000000 },
{ state: 'Texas', month: 'Dec', year: '2024', value: 173000000 },
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>

<dx-chart id="chart" [dataSource]="dataSource">
<dxo-chart-title text="Production of Crude Oil">
<dxo-chart-subtitle text="(in Barrels)"></dxo-chart-subtitle>
</dxo-chart-title>
<dxo-chart-common-series-settings
argumentField="state"
valueField="value"
type="bar"
>
<dxo-chart-aggregation enabled="true" method="sum"></dxo-chart-aggregation>
</dxo-chart-common-series-settings>
<dxo-chart-series-template nameField="year"></dxo-chart-series-template>
</dx-chart>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxChartModule } from 'devextreme-angular';
import { Service, OilProductionItem } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxChartModule,
],
})
export class AppComponent {
dataSource: OilProductionItem[];
constructor(service: Service) {
this.dataSource = service.getOilProductionData();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #chart {
height: 440px;
}
import { Injectable } from '@angular/core';
export class OilProductionItem {
state: string;
month: string;
year: string;
value: number;
}
const oilProductionData: OilProductionItem[] = [
{ state: 'Alaska', month: 'Jan', year: '2022', value: 15100000 },
{ state: 'Alaska', month: 'Feb', year: '2022', value: 13700000 },
{ state: 'Alaska', month: 'Mar', year: '2022', value: 15200000 },
{ state: 'Alaska', month: 'Apr', year: '2022', value: 14700000 },
{ state: 'Alaska', month: 'May', year: '2022', value: 15100000 },
{ state: 'Alaska', month: 'Jun', year: '2022', value: 14500000 },
{ state: 'Alaska', month: 'Jul', year: '2022', value: 14100000 },
{ state: 'Alaska', month: 'Aug', year: '2022', value: 14300000 },
{ state: 'Alaska', month: 'Sep', year: '2022', value: 13800000 },
{ state: 'Alaska', month: 'Oct', year: '2022', value: 14900000 },
{ state: 'Alaska', month: 'Nov', year: '2022', value: 14900000 },
{ state: 'Alaska', month: 'Dec', year: '2022', value: 15300000 },
{ state: 'Colorado', month: 'Jan', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Feb', year: '2022', value: 12000000 },
{ state: 'Colorado', month: 'Mar', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Apr', year: '2022', value: 12900000 },
{ state: 'Colorado', month: 'May', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Jun', year: '2022', value: 12900000 },
{ state: 'Colorado', month: 'Jul', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Aug', year: '2022', value: 13500000 },
{ state: 'Colorado', month: 'Sep', year: '2022', value: 13100000 },
{ state: 'Colorado', month: 'Oct', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Nov', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Dec', year: '2022', value: 13700000 },
{ state: 'North Dakota', month: 'Jan', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Feb', year: '2022', value: 32300000 },
{ state: 'North Dakota', month: 'Mar', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Apr', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'May', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Jun', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'Jul', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Aug', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Sep', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'Oct', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Nov', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Dec', year: '2022', value: 37000000 },
{ state: 'New Mexico', month: 'Jan', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Feb', year: '2022', value: 47000000 },
{ state: 'New Mexico', month: 'Mar', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Apr', year: '2022', value: 50500000 },
{ state: 'New Mexico', month: 'May', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Jun', year: '2022', value: 50500000 },
{ state: 'New Mexico', month: 'Jul', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Aug', year: '2022', value: 52500000 },
{ state: 'New Mexico', month: 'Sep', year: '2022', value: 51000000 },
{ state: 'New Mexico', month: 'Oct', year: '2022', value: 52500000 },
{ state: 'New Mexico', month: 'Nov', year: '2022', value: 53000000 },
{ state: 'New Mexico', month: 'Dec', year: '2022', value: 54000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Feb', year: '2022', value: 16200000 },
{ state: 'Oklahoma', month: 'Mar', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Apr', year: '2022', value: 17400000 },
{ state: 'Oklahoma', month: 'May', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Jun', year: '2022', value: 17400000 },
{ state: 'Oklahoma', month: 'Jul', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Aug', year: '2022', value: 18200000 },
{ state: 'Oklahoma', month: 'Sep', year: '2022', value: 17600000 },
{ state: 'Oklahoma', month: 'Oct', year: '2022', value: 18200000 },
{ state: 'Oklahoma', month: 'Nov', year: '2022', value: 18400000 },
{ state: 'Oklahoma', month: 'Dec', year: '2022', value: 18800000 },
{ state: 'Texas', month: 'Jan', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Feb', year: '2022', value: 133000000 },
{ state: 'Texas', month: 'Mar', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Apr', year: '2022', value: 142000000 },
{ state: 'Texas', month: 'May', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Jun', year: '2022', value: 142000000 },
{ state: 'Texas', month: 'Jul', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Aug', year: '2022', value: 150000000 },
{ state: 'Texas', month: 'Sep', year: '2022', value: 145000000 },
{ state: 'Texas', month: 'Oct', year: '2022', value: 150000000 },
{ state: 'Texas', month: 'Nov', year: '2022', value: 152000000 },
{ state: 'Texas', month: 'Dec', year: '2022', value: 155000000 },
{ state: 'Alaska', month: 'Jan', year: '2023', value: 15300000 },
{ state: 'Alaska', month: 'Feb', year: '2023', value: 13900000 },
{ state: 'Alaska', month: 'Mar', year: '2023', value: 15500000 },
{ state: 'Alaska', month: 'Apr', year: '2023', value: 15000000 },
{ state: 'Alaska', month: 'May', year: '2023', value: 15300000 },
{ state: 'Alaska', month: 'Jun', year: '2023', value: 14700000 },
{ state: 'Alaska', month: 'Jul', year: '2023', value: 14300000 },
{ state: 'Alaska', month: 'Aug', year: '2023', value: 14500000 },
{ state: 'Alaska', month: 'Sep', year: '2023', value: 14100000 },
{ state: 'Alaska', month: 'Oct', year: '2023', value: 15100000 },
{ state: 'Alaska', month: 'Nov', year: '2023', value: 15200000 },
{ state: 'Alaska', month: 'Dec', year: '2023', value: 15600000 },
{ state: 'Colorado', month: 'Jan', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Feb', year: '2023', value: 12300000 },
{ state: 'Colorado', month: 'Mar', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Apr', year: '2023', value: 13200000 },
{ state: 'Colorado', month: 'May', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Jun', year: '2023', value: 13200000 },
{ state: 'Colorado', month: 'Jul', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Aug', year: '2023', value: 13800000 },
{ state: 'Colorado', month: 'Sep', year: '2023', value: 13400000 },
{ state: 'Colorado', month: 'Oct', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Nov', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Dec', year: '2023', value: 14000000 },
{ state: 'North Dakota', month: 'Jan', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Feb', year: '2023', value: 33400000 },
{ state: 'North Dakota', month: 'Mar', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Apr', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'May', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Jun', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'Jul', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Aug', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Sep', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'Oct', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Nov', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Dec', year: '2023', value: 38100000 },
{ state: 'New Mexico', month: 'Jan', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Feb', year: '2023', value: 51000000 },
{ state: 'New Mexico', month: 'Mar', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Apr', year: '2023', value: 54500000 },
{ state: 'New Mexico', month: 'May', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Jun', year: '2023', value: 54500000 },
{ state: 'New Mexico', month: 'Jul', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Aug', year: '2023', value: 56500000 },
{ state: 'New Mexico', month: 'Sep', year: '2023', value: 55000000 },
{ state: 'New Mexico', month: 'Oct', year: '2023', value: 56500000 },
{ state: 'New Mexico', month: 'Nov', year: '2023', value: 57000000 },
{ state: 'New Mexico', month: 'Dec', year: '2023', value: 58000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Feb', year: '2023', value: 16700000 },
{ state: 'Oklahoma', month: 'Mar', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Apr', year: '2023', value: 17900000 },
{ state: 'Oklahoma', month: 'May', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Jun', year: '2023', value: 17900000 },
{ state: 'Oklahoma', month: 'Jul', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Aug', year: '2023', value: 18700000 },
{ state: 'Oklahoma', month: 'Sep', year: '2023', value: 18100000 },
{ state: 'Oklahoma', month: 'Oct', year: '2023', value: 18700000 },
{ state: 'Oklahoma', month: 'Nov', year: '2023', value: 18900000 },
{ state: 'Oklahoma', month: 'Dec', year: '2023', value: 19300000 },
{ state: 'Texas', month: 'Jan', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Feb', year: '2023', value: 143000000 },
{ state: 'Texas', month: 'Mar', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Apr', year: '2023', value: 153000000 },
{ state: 'Texas', month: 'May', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Jun', year: '2023', value: 153000000 },
{ state: 'Texas', month: 'Jul', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Aug', year: '2023', value: 161000000 },
{ state: 'Texas', month: 'Sep', year: '2023', value: 156000000 },
{ state: 'Texas', month: 'Oct', year: '2023', value: 161000000 },
{ state: 'Texas', month: 'Nov', year: '2023', value: 163000000 },
{ state: 'Texas', month: 'Dec', year: '2023', value: 166000000 },
{ state: 'Alaska', month: 'Jan', year: '2024', value: 15400000 },
{ state: 'Alaska', month: 'Feb', year: '2024', value: 14100000 },
{ state: 'Alaska', month: 'Mar', year: '2024', value: 15700000 },
{ state: 'Alaska', month: 'Apr', year: '2024', value: 15200000 },
{ state: 'Alaska', month: 'May', year: '2024', value: 15500000 },
{ state: 'Alaska', month: 'Jun', year: '2024', value: 14900000 },
{ state: 'Alaska', month: 'Jul', year: '2024', value: 14500000 },
{ state: 'Alaska', month: 'Aug', year: '2024', value: 14800000 },
{ state: 'Alaska', month: 'Sep', year: '2024', value: 14300000 },
{ state: 'Alaska', month: 'Oct', year: '2024', value: 15400000 },
{ state: 'Alaska', month: 'Nov', year: '2024', value: 15500000 },
{ state: 'Alaska', month: 'Dec', year: '2024', value: 15800000 },
{ state: 'Colorado', month: 'Jan', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Feb', year: '2024', value: 12500000 },
{ state: 'Colorado', month: 'Mar', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Apr', year: '2024', value: 13400000 },
{ state: 'Colorado', month: 'May', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Jun', year: '2024', value: 13400000 },
{ state: 'Colorado', month: 'Jul', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Aug', year: '2024', value: 14000000 },
{ state: 'Colorado', month: 'Sep', year: '2024', value: 13600000 },
{ state: 'Colorado', month: 'Oct', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Nov', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Dec', year: '2024', value: 14200000 },
{ state: 'North Dakota', month: 'Jan', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Feb', year: '2024', value: 34400000 },
{ state: 'North Dakota', month: 'Mar', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Apr', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'May', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Jun', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'Jul', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Aug', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Sep', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'Oct', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Nov', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Dec', year: '2024', value: 39200000 },
{ state: 'New Mexico', month: 'Jan', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Feb', year: '2024', value: 54500000 },
{ state: 'New Mexico', month: 'Mar', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Apr', year: '2024', value: 58500000 },
{ state: 'New Mexico', month: 'May', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Jun', year: '2024', value: 58500000 },
{ state: 'New Mexico', month: 'Jul', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Aug', year: '2024', value: 60500000 },
{ state: 'New Mexico', month: 'Sep', year: '2024', value: 59000000 },
{ state: 'New Mexico', month: 'Oct', year: '2024', value: 60500000 },
{ state: 'New Mexico', month: 'Nov', year: '2024', value: 61000000 },
{ state: 'New Mexico', month: 'Dec', year: '2024', value: 62000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Feb', year: '2024', value: 17100000 },
{ state: 'Oklahoma', month: 'Mar', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Apr', year: '2024', value: 18400000 },
{ state: 'Oklahoma', month: 'May', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Jun', year: '2024', value: 18400000 },
{ state: 'Oklahoma', month: 'Jul', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Aug', year: '2024', value: 19200000 },
{ state: 'Oklahoma', month: 'Sep', year: '2024', value: 18600000 },
{ state: 'Oklahoma', month: 'Oct', year: '2024', value: 19200000 },
{ state: 'Oklahoma', month: 'Nov', year: '2024', value: 19400000 },
{ state: 'Oklahoma', month: 'Dec', year: '2024', value: 19800000 },
{ state: 'Texas', month: 'Jan', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Feb', year: '2024', value: 149000000 },
{ state: 'Texas', month: 'Mar', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Apr', year: '2024', value: 160000000 },
{ state: 'Texas', month: 'May', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Jun', year: '2024', value: 160000000 },
{ state: 'Texas', month: 'Jul', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Aug', year: '2024', value: 168000000 },
{ state: 'Texas', month: 'Sep', year: '2024', value: 163000000 },
{ state: 'Texas', month: 'Oct', year: '2024', value: 168000000 },
{ state: 'Texas', month: 'Nov', year: '2024', value: 170000000 },
{ state: 'Texas', month: 'Dec', year: '2024', value: 173000000 },
];
@Injectable()
export class Service {
getOilProductionData(): OilProductionItem[] {
return oilProductionData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import Chart, {
Title,
Subtitle,
CommonSeriesSettings,
SeriesTemplate,
Aggregation,
} from 'devextreme-react/chart';
import { oilProductionData } from './data.ts';
function App() {
return (
<Chart id="chart" dataSource={oilProductionData}>
<Title text="Production of Crude Oil">
<Subtitle text="(in Barrels)"></Subtitle>
</Title>
<CommonSeriesSettings argumentField="state" valueField="value" type="bar">
<Aggregation enabled={true} method="sum"></Aggregation>
</CommonSeriesSettings>
<SeriesTemplate nameField="year"></SeriesTemplate>
</Chart>
);
}
export default App;
import React from 'react';
import Chart, {
Title,
Subtitle,
CommonSeriesSettings,
SeriesTemplate,
Aggregation,
} from 'devextreme-react/chart';
import { oilProductionData } from './data.js';
function App() {
return (
<Chart
id="chart"
dataSource={oilProductionData}
>
<Title text="Production of Crude Oil">
<Subtitle text="(in Barrels)"></Subtitle>
</Title>
<CommonSeriesSettings
argumentField="state"
valueField="value"
type="bar"
>
<Aggregation
enabled={true}
method="sum"
></Aggregation>
</CommonSeriesSettings>
<SeriesTemplate nameField="year"></SeriesTemplate>
</Chart>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const oilProductionData = [
{ state: 'Alaska', month: 'Jan', year: '2022', value: 15100000 },
{ state: 'Alaska', month: 'Feb', year: '2022', value: 13700000 },
{ state: 'Alaska', month: 'Mar', year: '2022', value: 15200000 },
{ state: 'Alaska', month: 'Apr', year: '2022', value: 14700000 },
{ state: 'Alaska', month: 'May', year: '2022', value: 15100000 },
{ state: 'Alaska', month: 'Jun', year: '2022', value: 14500000 },
{ state: 'Alaska', month: 'Jul', year: '2022', value: 14100000 },
{ state: 'Alaska', month: 'Aug', year: '2022', value: 14300000 },
{ state: 'Alaska', month: 'Sep', year: '2022', value: 13800000 },
{ state: 'Alaska', month: 'Oct', year: '2022', value: 14900000 },
{ state: 'Alaska', month: 'Nov', year: '2022', value: 14900000 },
{ state: 'Alaska', month: 'Dec', year: '2022', value: 15300000 },
{ state: 'Colorado', month: 'Jan', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Feb', year: '2022', value: 12000000 },
{ state: 'Colorado', month: 'Mar', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Apr', year: '2022', value: 12900000 },
{ state: 'Colorado', month: 'May', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Jun', year: '2022', value: 12900000 },
{ state: 'Colorado', month: 'Jul', year: '2022', value: 13300000 },
{ state: 'Colorado', month: 'Aug', year: '2022', value: 13500000 },
{ state: 'Colorado', month: 'Sep', year: '2022', value: 13100000 },
{ state: 'Colorado', month: 'Oct', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Nov', year: '2022', value: 13400000 },
{ state: 'Colorado', month: 'Dec', year: '2022', value: 13700000 },
{ state: 'North Dakota', month: 'Jan', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Feb', year: '2022', value: 32300000 },
{ state: 'North Dakota', month: 'Mar', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Apr', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'May', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Jun', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'Jul', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Aug', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Sep', year: '2022', value: 34500000 },
{ state: 'North Dakota', month: 'Oct', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Nov', year: '2022', value: 35700000 },
{ state: 'North Dakota', month: 'Dec', year: '2022', value: 37000000 },
{ state: 'New Mexico', month: 'Jan', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Feb', year: '2022', value: 47000000 },
{ state: 'New Mexico', month: 'Mar', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Apr', year: '2022', value: 50500000 },
{ state: 'New Mexico', month: 'May', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Jun', year: '2022', value: 50500000 },
{ state: 'New Mexico', month: 'Jul', year: '2022', value: 52000000 },
{ state: 'New Mexico', month: 'Aug', year: '2022', value: 52500000 },
{ state: 'New Mexico', month: 'Sep', year: '2022', value: 51000000 },
{ state: 'New Mexico', month: 'Oct', year: '2022', value: 52500000 },
{ state: 'New Mexico', month: 'Nov', year: '2022', value: 53000000 },
{ state: 'New Mexico', month: 'Dec', year: '2022', value: 54000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Feb', year: '2022', value: 16200000 },
{ state: 'Oklahoma', month: 'Mar', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Apr', year: '2022', value: 17400000 },
{ state: 'Oklahoma', month: 'May', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Jun', year: '2022', value: 17400000 },
{ state: 'Oklahoma', month: 'Jul', year: '2022', value: 18000000 },
{ state: 'Oklahoma', month: 'Aug', year: '2022', value: 18200000 },
{ state: 'Oklahoma', month: 'Sep', year: '2022', value: 17600000 },
{ state: 'Oklahoma', month: 'Oct', year: '2022', value: 18200000 },
{ state: 'Oklahoma', month: 'Nov', year: '2022', value: 18400000 },
{ state: 'Oklahoma', month: 'Dec', year: '2022', value: 18800000 },
{ state: 'Texas', month: 'Jan', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Feb', year: '2022', value: 133000000 },
{ state: 'Texas', month: 'Mar', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Apr', year: '2022', value: 142000000 },
{ state: 'Texas', month: 'May', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Jun', year: '2022', value: 142000000 },
{ state: 'Texas', month: 'Jul', year: '2022', value: 147000000 },
{ state: 'Texas', month: 'Aug', year: '2022', value: 150000000 },
{ state: 'Texas', month: 'Sep', year: '2022', value: 145000000 },
{ state: 'Texas', month: 'Oct', year: '2022', value: 150000000 },
{ state: 'Texas', month: 'Nov', year: '2022', value: 152000000 },
{ state: 'Texas', month: 'Dec', year: '2022', value: 155000000 },
{ state: 'Alaska', month: 'Jan', year: '2023', value: 15300000 },
{ state: 'Alaska', month: 'Feb', year: '2023', value: 13900000 },
{ state: 'Alaska', month: 'Mar', year: '2023', value: 15500000 },
{ state: 'Alaska', month: 'Apr', year: '2023', value: 15000000 },
{ state: 'Alaska', month: 'May', year: '2023', value: 15300000 },
{ state: 'Alaska', month: 'Jun', year: '2023', value: 14700000 },
{ state: 'Alaska', month: 'Jul', year: '2023', value: 14300000 },
{ state: 'Alaska', month: 'Aug', year: '2023', value: 14500000 },
{ state: 'Alaska', month: 'Sep', year: '2023', value: 14100000 },
{ state: 'Alaska', month: 'Oct', year: '2023', value: 15100000 },
{ state: 'Alaska', month: 'Nov', year: '2023', value: 15200000 },
{ state: 'Alaska', month: 'Dec', year: '2023', value: 15600000 },
{ state: 'Colorado', month: 'Jan', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Feb', year: '2023', value: 12300000 },
{ state: 'Colorado', month: 'Mar', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Apr', year: '2023', value: 13200000 },
{ state: 'Colorado', month: 'May', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Jun', year: '2023', value: 13200000 },
{ state: 'Colorado', month: 'Jul', year: '2023', value: 13600000 },
{ state: 'Colorado', month: 'Aug', year: '2023', value: 13800000 },
{ state: 'Colorado', month: 'Sep', year: '2023', value: 13400000 },
{ state: 'Colorado', month: 'Oct', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Nov', year: '2023', value: 13700000 },
{ state: 'Colorado', month: 'Dec', year: '2023', value: 14000000 },
{ state: 'North Dakota', month: 'Jan', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Feb', year: '2023', value: 33400000 },
{ state: 'North Dakota', month: 'Mar', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Apr', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'May', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Jun', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'Jul', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Aug', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Sep', year: '2023', value: 35600000 },
{ state: 'North Dakota', month: 'Oct', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Nov', year: '2023', value: 36800000 },
{ state: 'North Dakota', month: 'Dec', year: '2023', value: 38100000 },
{ state: 'New Mexico', month: 'Jan', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Feb', year: '2023', value: 51000000 },
{ state: 'New Mexico', month: 'Mar', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Apr', year: '2023', value: 54500000 },
{ state: 'New Mexico', month: 'May', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Jun', year: '2023', value: 54500000 },
{ state: 'New Mexico', month: 'Jul', year: '2023', value: 56000000 },
{ state: 'New Mexico', month: 'Aug', year: '2023', value: 56500000 },
{ state: 'New Mexico', month: 'Sep', year: '2023', value: 55000000 },
{ state: 'New Mexico', month: 'Oct', year: '2023', value: 56500000 },
{ state: 'New Mexico', month: 'Nov', year: '2023', value: 57000000 },
{ state: 'New Mexico', month: 'Dec', year: '2023', value: 58000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Feb', year: '2023', value: 16700000 },
{ state: 'Oklahoma', month: 'Mar', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Apr', year: '2023', value: 17900000 },
{ state: 'Oklahoma', month: 'May', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Jun', year: '2023', value: 17900000 },
{ state: 'Oklahoma', month: 'Jul', year: '2023', value: 18500000 },
{ state: 'Oklahoma', month: 'Aug', year: '2023', value: 18700000 },
{ state: 'Oklahoma', month: 'Sep', year: '2023', value: 18100000 },
{ state: 'Oklahoma', month: 'Oct', year: '2023', value: 18700000 },
{ state: 'Oklahoma', month: 'Nov', year: '2023', value: 18900000 },
{ state: 'Oklahoma', month: 'Dec', year: '2023', value: 19300000 },
{ state: 'Texas', month: 'Jan', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Feb', year: '2023', value: 143000000 },
{ state: 'Texas', month: 'Mar', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Apr', year: '2023', value: 153000000 },
{ state: 'Texas', month: 'May', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Jun', year: '2023', value: 153000000 },
{ state: 'Texas', month: 'Jul', year: '2023', value: 158000000 },
{ state: 'Texas', month: 'Aug', year: '2023', value: 161000000 },
{ state: 'Texas', month: 'Sep', year: '2023', value: 156000000 },
{ state: 'Texas', month: 'Oct', year: '2023', value: 161000000 },
{ state: 'Texas', month: 'Nov', year: '2023', value: 163000000 },
{ state: 'Texas', month: 'Dec', year: '2023', value: 166000000 },
{ state: 'Alaska', month: 'Jan', year: '2024', value: 15400000 },
{ state: 'Alaska', month: 'Feb', year: '2024', value: 14100000 },
{ state: 'Alaska', month: 'Mar', year: '2024', value: 15700000 },
{ state: 'Alaska', month: 'Apr', year: '2024', value: 15200000 },
{ state: 'Alaska', month: 'May', year: '2024', value: 15500000 },
{ state: 'Alaska', month: 'Jun', year: '2024', value: 14900000 },
{ state: 'Alaska', month: 'Jul', year: '2024', value: 14500000 },
{ state: 'Alaska', month: 'Aug', year: '2024', value: 14800000 },
{ state: 'Alaska', month: 'Sep', year: '2024', value: 14300000 },
{ state: 'Alaska', month: 'Oct', year: '2024', value: 15400000 },
{ state: 'Alaska', month: 'Nov', year: '2024', value: 15500000 },
{ state: 'Alaska', month: 'Dec', year: '2024', value: 15800000 },
{ state: 'Colorado', month: 'Jan', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Feb', year: '2024', value: 12500000 },
{ state: 'Colorado', month: 'Mar', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Apr', year: '2024', value: 13400000 },
{ state: 'Colorado', month: 'May', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Jun', year: '2024', value: 13400000 },
{ state: 'Colorado', month: 'Jul', year: '2024', value: 13800000 },
{ state: 'Colorado', month: 'Aug', year: '2024', value: 14000000 },
{ state: 'Colorado', month: 'Sep', year: '2024', value: 13600000 },
{ state: 'Colorado', month: 'Oct', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Nov', year: '2024', value: 13900000 },
{ state: 'Colorado', month: 'Dec', year: '2024', value: 14200000 },
{ state: 'North Dakota', month: 'Jan', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Feb', year: '2024', value: 34400000 },
{ state: 'North Dakota', month: 'Mar', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Apr', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'May', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Jun', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'Jul', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Aug', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Sep', year: '2024', value: 36600000 },
{ state: 'North Dakota', month: 'Oct', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Nov', year: '2024', value: 37900000 },
{ state: 'North Dakota', month: 'Dec', year: '2024', value: 39200000 },
{ state: 'New Mexico', month: 'Jan', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Feb', year: '2024', value: 54500000 },
{ state: 'New Mexico', month: 'Mar', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Apr', year: '2024', value: 58500000 },
{ state: 'New Mexico', month: 'May', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Jun', year: '2024', value: 58500000 },
{ state: 'New Mexico', month: 'Jul', year: '2024', value: 60000000 },
{ state: 'New Mexico', month: 'Aug', year: '2024', value: 60500000 },
{ state: 'New Mexico', month: 'Sep', year: '2024', value: 59000000 },
{ state: 'New Mexico', month: 'Oct', year: '2024', value: 60500000 },
{ state: 'New Mexico', month: 'Nov', year: '2024', value: 61000000 },
{ state: 'New Mexico', month: 'Dec', year: '2024', value: 62000000 },
{ state: 'Oklahoma', month: 'Jan', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Feb', year: '2024', value: 17100000 },
{ state: 'Oklahoma', month: 'Mar', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Apr', year: '2024', value: 18400000 },
{ state: 'Oklahoma', month: 'May', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Jun', year: '2024', value: 18400000 },
{ state: 'Oklahoma', month: 'Jul', year: '2024', value: 19000000 },
{ state: 'Oklahoma', month: 'Aug', year: '2024', value: 19200000 },
{ state: 'Oklahoma', month: 'Sep', year: '2024', value: 18600000 },
{ state: 'Oklahoma', month: 'Oct', year: '2024', value: 19200000 },
{ state: 'Oklahoma', month: 'Nov', year: '2024', value: 19400000 },
{ state: 'Oklahoma', month: 'Dec', year: '2024', value: 19800000 },
{ state: 'Texas', month: 'Jan', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Feb', year: '2024', value: 149000000 },
{ state: 'Texas', month: 'Mar', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Apr', year: '2024', value: 160000000 },
{ state: 'Texas', month: 'May', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Jun', year: '2024', value: 160000000 },
{ state: 'Texas', month: 'Jul', year: '2024', value: 165000000 },
{ state: 'Texas', month: 'Aug', year: '2024', value: 168000000 },
{ state: 'Texas', month: 'Sep', year: '2024', value: 163000000 },
{ state: 'Texas', month: 'Oct', year: '2024', value: 168000000 },
{ state: 'Texas', month: 'Nov', year: '2024', value: 170000000 },
{ state: 'Texas', month: 'Dec', year: '2024', value: 173000000 },
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const oilProductionData = [
{
state: 'Alaska', month: 'Jan', year: '2022', value: 15100000,
},
{
state: 'Alaska', month: 'Feb', year: '2022', value: 13700000,
},
{
state: 'Alaska', month: 'Mar', year: '2022', value: 15200000,
},
{
state: 'Alaska', month: 'Apr', year: '2022', value: 14700000,
},
{
state: 'Alaska', month: 'May', year: '2022', value: 15100000,
},
{
state: 'Alaska', month: 'Jun', year: '2022', value: 14500000,
},
{
state: 'Alaska', month: 'Jul', year: '2022', value: 14100000,
},
{
state: 'Alaska', month: 'Aug', year: '2022', value: 14300000,
},
{
state: 'Alaska', month: 'Sep', year: '2022', value: 13800000,
},
{
state: 'Alaska', month: 'Oct', year: '2022', value: 14900000,
},
{
state: 'Alaska', month: 'Nov', year: '2022', value: 14900000,
},
{
state: 'Alaska', month: 'Dec', year: '2022', value: 15300000,
},
{
state: 'Colorado', month: 'Jan', year: '2022', value: 13300000,
},
{
state: 'Colorado', month: 'Feb', year: '2022', value: 12000000,
},
{
state: 'Colorado', month: 'Mar', year: '2022', value: 13300000,
},
{
state: 'Colorado', month: 'Apr', year: '2022', value: 12900000,
},
{
state: 'Colorado', month: 'May', year: '2022', value: 13400000,
},
{
state: 'Colorado', month: 'Jun', year: '2022', value: 12900000,
},
{
state: 'Colorado', month: 'Jul', year: '2022', value: 13300000,
},
{
state: 'Colorado', month: 'Aug', year: '2022', value: 13500000,
},
{
state: 'Colorado', month: 'Sep', year: '2022', value: 13100000,
},
{
state: 'Colorado', month: 'Oct', year: '2022', value: 13400000,
},
{
state: 'Colorado', month: 'Nov', year: '2022', value: 13400000,
},
{
state: 'Colorado', month: 'Dec', year: '2022', value: 13700000,
},
{
state: 'North Dakota', month: 'Jan', year: '2022', value: 35700000,
},
{
state: 'North Dakota', month: 'Feb', year: '2022', value: 32300000,
},
{
state: 'North Dakota', month: 'Mar', year: '2022', value: 35700000,
},
{
state: 'North Dakota', month: 'Apr', year: '2022', value: 34500000,
},
{
state: 'North Dakota', month: 'May', year: '2022', value: 35700000,
},
{
state: 'North Dakota', month: 'Jun', year: '2022', value: 34500000,
},
{
state: 'North Dakota', month: 'Jul', year: '2022', value: 35700000,
},
{
state: 'North Dakota', month: 'Aug', year: '2022', value: 35700000,
},
{
state: 'North Dakota', month: 'Sep', year: '2022', value: 34500000,
},
{
state: 'North Dakota', month: 'Oct', year: '2022', value: 35700000,
},
{
state: 'North Dakota', month: 'Nov', year: '2022', value: 35700000,
},
{
state: 'North Dakota', month: 'Dec', year: '2022', value: 37000000,
},
{
state: 'New Mexico', month: 'Jan', year: '2022', value: 52000000,
},
{
state: 'New Mexico', month: 'Feb', year: '2022', value: 47000000,
},
{
state: 'New Mexico', month: 'Mar', year: '2022', value: 52000000,
},
{
state: 'New Mexico', month: 'Apr', year: '2022', value: 50500000,
},
{
state: 'New Mexico', month: 'May', year: '2022', value: 52000000,
},
{
state: 'New Mexico', month: 'Jun', year: '2022', value: 50500000,
},
{
state: 'New Mexico', month: 'Jul', year: '2022', value: 52000000,
},
{
state: 'New Mexico', month: 'Aug', year: '2022', value: 52500000,
},
{
state: 'New Mexico', month: 'Sep', year: '2022', value: 51000000,
},
{
state: 'New Mexico', month: 'Oct', year: '2022', value: 52500000,
},
{
state: 'New Mexico', month: 'Nov', year: '2022', value: 53000000,
},
{
state: 'New Mexico', month: 'Dec', year: '2022', value: 54000000,
},
{
state: 'Oklahoma', month: 'Jan', year: '2022', value: 18000000,
},
{
state: 'Oklahoma', month: 'Feb', year: '2022', value: 16200000,
},
{
state: 'Oklahoma', month: 'Mar', year: '2022', value: 18000000,
},
{
state: 'Oklahoma', month: 'Apr', year: '2022', value: 17400000,
},
{
state: 'Oklahoma', month: 'May', year: '2022', value: 18000000,
},
{
state: 'Oklahoma', month: 'Jun', year: '2022', value: 17400000,
},
{
state: 'Oklahoma', month: 'Jul', year: '2022', value: 18000000,
},
{
state: 'Oklahoma', month: 'Aug', year: '2022', value: 18200000,
},
{
state: 'Oklahoma', month: 'Sep', year: '2022', value: 17600000,
},
{
state: 'Oklahoma', month: 'Oct', year: '2022', value: 18200000,
},
{
state: 'Oklahoma', month: 'Nov', year: '2022', value: 18400000,
},
{
state: 'Oklahoma', month: 'Dec', year: '2022', value: 18800000,
},
{
state: 'Texas', month: 'Jan', year: '2022', value: 147000000,
},
{
state: 'Texas', month: 'Feb', year: '2022', value: 133000000,
},
{
state: 'Texas', month: 'Mar', year: '2022', value: 147000000,
},
{
state: 'Texas', month: 'Apr', year: '2022', value: 142000000,
},
{
state: 'Texas', month: 'May', year: '2022', value: 147000000,
},
{
state: 'Texas', month: 'Jun', year: '2022', value: 142000000,
},
{
state: 'Texas', month: 'Jul', year: '2022', value: 147000000,
},
{
state: 'Texas', month: 'Aug', year: '2022', value: 150000000,
},
{
state: 'Texas', month: 'Sep', year: '2022', value: 145000000,
},
{
state: 'Texas', month: 'Oct', year: '2022', value: 150000000,
},
{
state: 'Texas', month: 'Nov', year: '2022', value: 152000000,
},
{
state: 'Texas', month: 'Dec', year: '2022', value: 155000000,
},
{
state: 'Alaska', month: 'Jan', year: '2023', value: 15300000,
},
{
state: 'Alaska', month: 'Feb', year: '2023', value: 13900000,
},
{
state: 'Alaska', month: 'Mar', year: '2023', value: 15500000,
},
{
state: 'Alaska', month: 'Apr', year: '2023', value: 15000000,
},
{
state: 'Alaska', month: 'May', year: '2023', value: 15300000,
},
{
state: 'Alaska', month: 'Jun', year: '2023', value: 14700000,
},
{
state: 'Alaska', month: 'Jul', year: '2023', value: 14300000,
},
{
state: 'Alaska', month: 'Aug', year: '2023', value: 14500000,
},
{
state: 'Alaska', month: 'Sep', year: '2023', value: 14100000,
},
{
state: 'Alaska', month: 'Oct', year: '2023', value: 15100000,
},
{
state: 'Alaska', month: 'Nov', year: '2023', value: 15200000,
},
{
state: 'Alaska', month: 'Dec', year: '2023', value: 15600000,
},
{
state: 'Colorado', month: 'Jan', year: '2023', value: 13600000,
},
{
state: 'Colorado', month: 'Feb', year: '2023', value: 12300000,
},
{
state: 'Colorado', month: 'Mar', year: '2023', value: 13600000,
},
{
state: 'Colorado', month: 'Apr', year: '2023', value: 13200000,
},
{
state: 'Colorado', month: 'May', year: '2023', value: 13700000,
},
{
state: 'Colorado', month: 'Jun', year: '2023', value: 13200000,
},
{
state: 'Colorado', month: 'Jul', year: '2023', value: 13600000,
},
{
state: 'Colorado', month: 'Aug', year: '2023', value: 13800000,
},
{
state: 'Colorado', month: 'Sep', year: '2023', value: 13400000,
},
{
state: 'Colorado', month: 'Oct', year: '2023', value: 13700000,
},
{
state: 'Colorado', month: 'Nov', year: '2023', value: 13700000,
},
{
state: 'Colorado', month: 'Dec', year: '2023', value: 14000000,
},
{
state: 'North Dakota', month: 'Jan', year: '2023', value: 36800000,
},
{
state: 'North Dakota', month: 'Feb', year: '2023', value: 33400000,
},
{
state: 'North Dakota', month: 'Mar', year: '2023', value: 36800000,
},
{
state: 'North Dakota', month: 'Apr', year: '2023', value: 35600000,
},
{
state: 'North Dakota', month: 'May', year: '2023', value: 36800000,
},
{
state: 'North Dakota', month: 'Jun', year: '2023', value: 35600000,
},
{
state: 'North Dakota', month: 'Jul', year: '2023', value: 36800000,
},
{
state: 'North Dakota', month: 'Aug', year: '2023', value: 36800000,
},
{
state: 'North Dakota', month: 'Sep', year: '2023', value: 35600000,
},
{
state: 'North Dakota', month: 'Oct', year: '2023', value: 36800000,
},
{
state: 'North Dakota', month: 'Nov', year: '2023', value: 36800000,
},
{
state: 'North Dakota', month: 'Dec', year: '2023', value: 38100000,
},
{
state: 'New Mexico', month: 'Jan', year: '2023', value: 56000000,
},
{
state: 'New Mexico', month: 'Feb', year: '2023', value: 51000000,
},
{
state: 'New Mexico', month: 'Mar', year: '2023', value: 56000000,
},
{
state: 'New Mexico', month: 'Apr', year: '2023', value: 54500000,
},
{
state: 'New Mexico', month: 'May', year: '2023', value: 56000000,
},
{
state: 'New Mexico', month: 'Jun', year: '2023', value: 54500000,
},
{
state: 'New Mexico', month: 'Jul', year: '2023', value: 56000000,
},
{
state: 'New Mexico', month: 'Aug', year: '2023', value: 56500000,
},
{
state: 'New Mexico', month: 'Sep', year: '2023', value: 55000000,
},
{
state: 'New Mexico', month: 'Oct', year: '2023', value: 56500000,
},
{
state: 'New Mexico', month: 'Nov', year: '2023', value: 57000000,
},
{
state: 'New Mexico', month: 'Dec', year: '2023', value: 58000000,
},
{
state: 'Oklahoma', month: 'Jan', year: '2023', value: 18500000,
},
{
state: 'Oklahoma', month: 'Feb', year: '2023', value: 16700000,
},
{
state: 'Oklahoma', month: 'Mar', year: '2023', value: 18500000,
},
{
state: 'Oklahoma', month: 'Apr', year: '2023', value: 17900000,
},
{
state: 'Oklahoma', month: 'May', year: '2023', value: 18500000,
},
{
state: 'Oklahoma', month: 'Jun', year: '2023', value: 17900000,
},
{
state: 'Oklahoma', month: 'Jul', year: '2023', value: 18500000,
},
{
state: 'Oklahoma', month: 'Aug', year: '2023', value: 18700000,
},
{
state: 'Oklahoma', month: 'Sep', year: '2023', value: 18100000,
},
{
state: 'Oklahoma', month: 'Oct', year: '2023', value: 18700000,
},
{
state: 'Oklahoma', month: 'Nov', year: '2023', value: 18900000,
},
{
state: 'Oklahoma', month: 'Dec', year: '2023', value: 19300000,
},
{
state: 'Texas', month: 'Jan', year: '2023', value: 158000000,
},
{
state: 'Texas', month: 'Feb', year: '2023', value: 143000000,
},
{
state: 'Texas', month: 'Mar', year: '2023', value: 158000000,
},
{
state: 'Texas', month: 'Apr', year: '2023', value: 153000000,
},
{
state: 'Texas', month: 'May', year: '2023', value: 158000000,
},
{
state: 'Texas', month: 'Jun', year: '2023', value: 153000000,
},
{
state: 'Texas', month: 'Jul', year: '2023', value: 158000000,
},
{
state: 'Texas', month: 'Aug', year: '2023', value: 161000000,
},
{
state: 'Texas', month: 'Sep', year: '2023', value: 156000000,
},
{
state: 'Texas', month: 'Oct', year: '2023', value: 161000000,
},
{
state: 'Texas', month: 'Nov', year: '2023', value: 163000000,
},
{
state: 'Texas', month: 'Dec', year: '2023', value: 166000000,
},
{
state: 'Alaska', month: 'Jan', year: '2024', value: 15400000,
},
{
state: 'Alaska', month: 'Feb', year: '2024', value: 14100000,
},
{
state: 'Alaska', month: 'Mar', year: '2024', value: 15700000,
},
{
state: 'Alaska', month: 'Apr', year: '2024', value: 15200000,
},
{
state: 'Alaska', month: 'May', year: '2024', value: 15500000,
},
{
state: 'Alaska', month: 'Jun', year: '2024', value: 14900000,
},
{
state: 'Alaska', month: 'Jul', year: '2024', value: 14500000,
},
{
state: 'Alaska', month: 'Aug', year: '2024', value: 14800000,
},
{
state: 'Alaska', month: 'Sep', year: '2024', value: 14300000,
},
{
state: 'Alaska', month: 'Oct', year: '2024', value: 15400000,
},
{
state: 'Alaska', month: 'Nov', year: '2024', value: 15500000,
},
{
state: 'Alaska', month: 'Dec', year: '2024', value: 15800000,
},
{
state: 'Colorado', month: 'Jan', year: '2024', value: 13800000,
},
{
state: 'Colorado', month: 'Feb', year: '2024', value: 12500000,
},
{
state: 'Colorado', month: 'Mar', year: '2024', value: 13800000,
},
{
state: 'Colorado', month: 'Apr', year: '2024', value: 13400000,
},
{
state: 'Colorado', month: 'May', year: '2024', value: 13900000,
},
{
state: 'Colorado', month: 'Jun', year: '2024', value: 13400000,
},
{
state: 'Colorado', month: 'Jul', year: '2024', value: 13800000,
},
{
state: 'Colorado', month: 'Aug', year: '2024', value: 14000000,
},
{
state: 'Colorado', month: 'Sep', year: '2024', value: 13600000,
},
{
state: 'Colorado', month: 'Oct', year: '2024', value: 13900000,
},
{
state: 'Colorado', month: 'Nov', year: '2024', value: 13900000,
},
{
state: 'Colorado', month: 'Dec', year: '2024', value: 14200000,
},
{
state: 'North Dakota', month: 'Jan', year: '2024', value: 37900000,
},
{
state: 'North Dakota', month: 'Feb', year: '2024', value: 34400000,
},
{
state: 'North Dakota', month: 'Mar', year: '2024', value: 37900000,
},
{
state: 'North Dakota', month: 'Apr', year: '2024', value: 36600000,
},
{
state: 'North Dakota', month: 'May', year: '2024', value: 37900000,
},
{
state: 'North Dakota', month: 'Jun', year: '2024', value: 36600000,
},
{
state: 'North Dakota', month: 'Jul', year: '2024', value: 37900000,
},
{
state: 'North Dakota', month: 'Aug', year: '2024', value: 37900000,
},
{
state: 'North Dakota', month: 'Sep', year: '2024', value: 36600000,
},
{
state: 'North Dakota', month: 'Oct', year: '2024', value: 37900000,
},
{
state: 'North Dakota', month: 'Nov', year: '2024', value: 37900000,
},
{
state: 'North Dakota', month: 'Dec', year: '2024', value: 39200000,
},
{
state: 'New Mexico', month: 'Jan', year: '2024', value: 60000000,
},
{
state: 'New Mexico', month: 'Feb', year: '2024', value: 54500000,
},
{
state: 'New Mexico', month: 'Mar', year: '2024', value: 60000000,
},
{
state: 'New Mexico', month: 'Apr', year: '2024', value: 58500000,
},
{
state: 'New Mexico', month: 'May', year: '2024', value: 60000000,
},
{
state: 'New Mexico', month: 'Jun', year: '2024', value: 58500000,
},
{
state: 'New Mexico', month: 'Jul', year: '2024', value: 60000000,
},
{
state: 'New Mexico', month: 'Aug', year: '2024', value: 60500000,
},
{
state: 'New Mexico', month: 'Sep', year: '2024', value: 59000000,
},
{
state: 'New Mexico', month: 'Oct', year: '2024', value: 60500000,
},
{
state: 'New Mexico', month: 'Nov', year: '2024', value: 61000000,
},
{
state: 'New Mexico', month: 'Dec', year: '2024', value: 62000000,
},
{
state: 'Oklahoma', month: 'Jan', year: '2024', value: 19000000,
},
{
state: 'Oklahoma', month: 'Feb', year: '2024', value: 17100000,
},
{
state: 'Oklahoma', month: 'Mar', year: '2024', value: 19000000,
},
{
state: 'Oklahoma', month: 'Apr', year: '2024', value: 18400000,
},
{
state: 'Oklahoma', month: 'May', year: '2024', value: 19000000,
},
{
state: 'Oklahoma', month: 'Jun', year: '2024', value: 18400000,
},
{
state: 'Oklahoma', month: 'Jul', year: '2024', value: 19000000,
},
{
state: 'Oklahoma', month: 'Aug', year: '2024', value: 19200000,
},
{
state: 'Oklahoma', month: 'Sep', year: '2024', value: 18600000,
},
{
state: 'Oklahoma', month: 'Oct', year: '2024', value: 19200000,
},
{
state: 'Oklahoma', month: 'Nov', year: '2024', value: 19400000,
},
{
state: 'Oklahoma', month: 'Dec', year: '2024', value: 19800000,
},
{
state: 'Texas', month: 'Jan', year: '2024', value: 165000000,
},
{
state: 'Texas', month: 'Feb', year: '2024', value: 149000000,
},
{
state: 'Texas', month: 'Mar', year: '2024', value: 165000000,
},
{
state: 'Texas', month: 'Apr', year: '2024', value: 160000000,
},
{
state: 'Texas', month: 'May', year: '2024', value: 165000000,
},
{
state: 'Texas', month: 'Jun', year: '2024', value: 160000000,
},
{
state: 'Texas', month: 'Jul', year: '2024', value: 165000000,
},
{
state: 'Texas', month: 'Aug', year: '2024', value: 168000000,
},
{
state: 'Texas', month: 'Sep', year: '2024', value: 163000000,
},
{
state: 'Texas', month: 'Oct', year: '2024', value: 168000000,
},
{
state: 'Texas', month: 'Nov', year: '2024', value: 170000000,
},
{
state: 'Texas', month: 'Dec', year: '2024', value: 173000000,
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}